AuScanForTypedEvent(3)

Name
AuScanForTypedEvent - return the first event of a specific type

Synopsis
#include <audio/audiolib.h>

AuBool AuScanForTypedEvent(server, mode, dequeue, type, event)
    AuServer *server;
    int mode;
    AuBool dequeue;
    int type;
    AuEvent *event; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

mode
    Specifies how far to look for a match. This should be one of these constants: AuEventsQueuedAlready, AuEventsQueuedAfterReading, or AuEventsQueuedAfterFlush.

dequeue
    Specifies if a matching event is found, should it be removed from the queue.

type
    Specifies the type of event to match. The type should be one of these constants: AuEventTypeElementNotify, AuEventTypeGrabNotify, or AuEventTypeMonitorNotify.

event
    Returns the matching event if found.

Description
AuScanForTypedEvent scans the event queue looking for the first event that matches type. If mode is AuEventsQueuedAlready, AuScanForTypedEvent only checks for events already in the queue. If mode is AuEventsQueuedAfterReading, and a matching event isn't found already in the queue, AuScanForTypedEvent attempts to read more events out of the application's connection. If mode is AuEventsQueuedAfterFlush and a matching event isn't already in the queue or isn't waiting to be read, AuScanForTypedEvent flushes the output queue and attempts to read more events out of the application's connection. If dequeue is AuTrue, and a matching event is found, it is removed from the queue.

See Also
AuEventsQueued, AuScanEvents, AuNextEvent.

audiolib - Network Audio System C Language Interface